m = 1;
km = 1e3*m;

sr = 25*m;
sz = 1000*m;

fx = 240*m;
fy = 50*m;
fz = 1100*m;

dd = sr / 5;

Point(0) = {    0.0,	  0.0,	0.0,   dd};
Point(1) = {	-sr/2, 	  0.0,	0.0,   dd};
Point(2) = { 	0.0,	-sr/2,	0.0,   dd};
Point(3) = { 	sr/2,	  0.0,	0.0,   dd};
Point(4) = {	0.0, 	 sr/2,	0.0,   dd};
Point(5) = {   -2*sr,	  -fy,	0.0, 2*dd};
Point(6) = {   -2*sr+fx,  -fy,	0.0, 4*dd};
Point(7) = {   -2*sr+fx,   fy,	0.0, 4*dd};
Point(8) = {   -2*sr, 	   fy,	0.0, 2*dd};

Circle(1) = {1, 0, 2};
Circle(2) = {2, 0, 3};
Circle(3) = {3, 0, 4};
Circle(4) = {4, 0, 1};

Line(5) = {5, 6};
Line(6) = {6, 7};
Line(7) = {7, 8};
Line(8) = {8, 5};

Extrude {0, 0, sz}
{
	Line{1, 2, 3, 4};
}

Extrude {0, 0, fz}
{
	Line{5, 6, 7, 8};
}

Line Loop(1) = {1, 2, 3, 4};
Line Loop(2) = {9, 13, 17, 21};
Line Loop(3) = {5, 6, 7, 8};
Line Loop(4) = {25, 29, 33, 37};

Plane Surface(1) = {1, 3};
Plane Surface(2) = {2};
Plane Surface(3) = {4};

Surface Loop(1) = {1, 28, 32, 36, 40, 12, 16, 20, 24, 2, 3};

Volume(1) = {1};

Physical Surface("inlet") = {40};
Physical Surface("atmosphere") = {3, 28, 32, 36};
Physical Surface("structure") = {12, 16, 20, 24, 2};
Physical Surface("earth") = {1};

Physical Volume("internal") = {1};


